GetSubscriptionHistory
GET
/billing/v1/subscription/historyQuery Parameters
org_id?org_id
The org_id query parameter.
pagination.limit?limit
Maximum number of items to return.
Format
int32Range
1 <= value <= 100Default
"25"pagination.offset?offset
Number of items to skip before collecting the result set.
Format
int32Default
"0"Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.GetSubscriptionHistoryResponse",
"$ref-value": {
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.SubscriptionHistoryItem",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"AbCdE12345"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"plan_id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "plan_id"
},
"plan_name": {
"type": "string",
"examples": [
"Pro"
],
"title": "plan_name",
"maxLength": 64
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.SubscriptionStatus",
"$ref-value": {
"type": "string",
"title": "SubscriptionStatus",
"enum": [
"SUBSCRIPTION_STATUS_UNSPECIFIED",
"SUBSCRIPTION_STATUS_ACTIVE",
"SUBSCRIPTION_STATUS_INACTIVE",
"SUBSCRIPTION_STATUS_CANCELED",
"SUBSCRIPTION_STATUS_EXPIRED",
"SUBSCRIPTION_STATUS_PENDING",
"SUBSCRIPTION_STATUS_SUSPENDED",
"SUBSCRIPTION_STATUS_TRIALING",
"SUBSCRIPTION_STATUS_PAST_DUE",
"SUBSCRIPTION_STATUS_UNPAID",
"SUBSCRIPTION_STATUS_INCOMPLETE",
"SUBSCRIPTION_STATUS_INCOMPLETE_EXPIRED",
"SUBSCRIPTION_STATUS_PAUSED"
]
}
}
],
"examples": [
"SUBSCRIPTION_STATUS_ACTIVE"
],
"title": "status"
},
"price": {
"type": "string",
"examples": [
"29.99"
],
"title": "price"
},
"currency": {
"type": "string",
"examples": [
"usd"
],
"title": "currency"
},
"start_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "start_date"
},
"current_period_end": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "current_period_end"
},
"end_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "end_date"
},
"cancel_at_period_end": {
"type": "boolean",
"title": "cancel_at_period_end"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "SubscriptionHistoryItem",
"additionalProperties": false
}
},
"title": "items"
}
},
"title": "GetSubscriptionHistoryResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/billing/v1/subscription/history"Success
application/json
{
"$ref": "#/components/schemas/billing.v1.GetSubscriptionHistoryResponse",
"$ref-value": {
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.SubscriptionHistoryItem",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"AbCdE12345"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"plan_id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "plan_id"
},
"plan_name": {
"type": "string",
"examples": [
"Pro"
],
"title": "plan_name",
"maxLength": 64
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.SubscriptionStatus",
"$ref-value": {
"type": "string",
"title": "SubscriptionStatus",
"enum": [
"SUBSCRIPTION_STATUS_UNSPECIFIED",
"SUBSCRIPTION_STATUS_ACTIVE",
"SUBSCRIPTION_STATUS_INACTIVE",
"SUBSCRIPTION_STATUS_CANCELED",
"SUBSCRIPTION_STATUS_EXPIRED",
"SUBSCRIPTION_STATUS_PENDING",
"SUBSCRIPTION_STATUS_SUSPENDED",
"SUBSCRIPTION_STATUS_TRIALING",
"SUBSCRIPTION_STATUS_PAST_DUE",
"SUBSCRIPTION_STATUS_UNPAID",
"SUBSCRIPTION_STATUS_INCOMPLETE",
"SUBSCRIPTION_STATUS_INCOMPLETE_EXPIRED",
"SUBSCRIPTION_STATUS_PAUSED"
]
}
}
],
"examples": [
"SUBSCRIPTION_STATUS_ACTIVE"
],
"title": "status"
},
"price": {
"type": "string",
"examples": [
"29.99"
],
"title": "price"
},
"currency": {
"type": "string",
"examples": [
"usd"
],
"title": "currency"
},
"start_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "start_date"
},
"current_period_end": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "current_period_end"
},
"end_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "end_date"
},
"cancel_at_period_end": {
"type": "boolean",
"title": "cancel_at_period_end"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "SubscriptionHistoryItem",
"additionalProperties": false
}
},
"title": "items"
}
},
"title": "GetSubscriptionHistoryResponse",
"additionalProperties": false
}
}